Lucene search

K
HistoryMar 13, 2018 - 8:23 a.m.

Remote Code Execution via in Browser Editing - CVE-2018-5225

2018-03-1308:23:27
jira.atlassian.com
10

CVSS2

6.5

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

SINGLE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:S/C:P/I:P/A:P

CVSS3

9.9

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

EPSS

0.006

Percentile

78.5%

An authenticated user of Bitbucket Server could gain remote code execution using the in browser editing feature via editing a symbolic link within a repository.

Affected versions:

  • All versions of Bitbucket Server before 5.4.8 (the fixed version for 4.13.0 through to 5.4.7), 5.5.0 before 5.5.8 (the fixed version for 5.5.x), 5.6.0 before 5.6.5 (the fixed version for 5.6.x), 5.7.0 before 5.7.3 (the fixed version for 5.7.x), and 5.8.0 before 5.8.2 (the fixed version for 5.8.x) are affected by this vulnerability. Bitbucket Server 5.9.0 is not impacted by this vulnerability

Fix:

For additional details see the [full advisory|https://confluence.atlassian.com/x/3WNsO].

Affected configurations

Vulners
Node
atlassianbitbucket_data_centerRange4.13.0
OR
atlassianbitbucket_data_centerRange5.5.0
OR
atlassianbitbucket_data_centerRange5.6.0
OR
atlassianbitbucket_data_centerRange5.7.0
OR
atlassianbitbucket_data_centerRange5.8.0
OR
atlassianbitbucket_data_centerRange5.4.7
OR
atlassianbitbucket_data_centerRange<5.9.0
OR
atlassianbitbucket_data_centerRange<5.5.8
OR
atlassianbitbucket_data_centerRange<5.6.5
OR
atlassianbitbucket_data_centerRange<5.7.3
OR
atlassianbitbucket_data_centerRange<5.8.2
OR
atlassianbitbucket_data_centerRange<5.4.8

CVSS2

6.5

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

SINGLE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:S/C:P/I:P/A:P

CVSS3

9.9

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

EPSS

0.006

Percentile

78.5%

Related for BSERV-10684